#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>
#include <QtCore/qhash.h>
#include <QtCore/qstring.h>

namespace QmlCacheGeneratedCode {
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Vignette_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_TiltShift_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_SCurveTonemap_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Scatter_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_MotionBlur_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_HDRBloomTonemap_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_GaussianBlur_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Fxaa_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Flip_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Emboss_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_EdgeDetect_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DistortionSpiral_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DistortionSphere_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DistortionRipple_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Desaturate_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DepthOfFieldHQBlur_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_ColorMaster_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_ChromaticAberration_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_BrushStrokes_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Blur_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}
namespace _qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_AdditiveColorGradient_qml { 
    extern bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu);
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], &validateLookupSignatures
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Vignette.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Vignette_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/TiltShift.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_TiltShift_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/SCurveTonemap.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_SCurveTonemap_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Scatter.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Scatter_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/MotionBlur.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_MotionBlur_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/HDRBloomTonemap.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_HDRBloomTonemap_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/GaussianBlur.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_GaussianBlur_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Fxaa.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Fxaa_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Flip.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Flip_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Emboss.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Emboss_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/EdgeDetect.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_EdgeDetect_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/DistortionSpiral.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DistortionSpiral_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/DistortionSphere.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DistortionSphere_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/DistortionRipple.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DistortionRipple_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Desaturate.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Desaturate_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/DepthOfFieldHQBlur.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_DepthOfFieldHQBlur_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/ColorMaster.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_ColorMaster_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/ChromaticAberration.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_ChromaticAberration_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/BrushStrokes.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_BrushStrokes_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/Blur.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_Blur_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt-project.org/imports/QtQuick3D/Effects/AdditiveColorGradient.qml"), &QmlCacheGeneratedCode::_qt_0x2d_project_0x2e_org_imports_QtQuick3D_Effects_AdditiveColorGradient_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.structVersion = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_qmlcache_Quick3DEffects)() {
    ::unitRegistry();
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_qmlcache_Quick3DEffects))
int QT_MANGLE_NAMESPACE(qCleanupResources_qmlcache_Quick3DEffects)() {
    return 1;
}
